## golang-github-go-git-go-git 5.4.2

=== debian/changelog ===
golang-github-go-git-go-git (5.4.2-4ubuntu0.24.04.3) noble-security; urgency=medium

  * No change rebuild due to golang-1.22 update

 -- Evan Caville <evan.caville@canonical.com>  Fri, 18 Jul 2025 12:25:00 +1000

golang-github-go-git-go-git (5.4.2-4ubuntu0.24.04.2) noble-security; urgency=medium

  * No change rebuild due to golang-1.22 update

 -- Evan Caville <evan.caville@canonical.com>  Fri, 01 Nov 2024 10:16:25 +0100

golang-github-go-git-go-git (5.4.2-4ubuntu0.24.04.1) noble-security; urgency=medium

  * No change rebuild due to golang-1.21 update

 -- Nishit Majithia <nishit.majithia@canonical.com>  Fri, 12 Jul 2024 13:41:12 +0530

golang-github-go-git-go-git (5.4.2-4) unstable; urgency=medium

  * Team upload.
  * Add tzdata to Build-Depends. Closes: #1027907.

 -- Santiago Vila <sanvila@debian.org>  Tue, 31 Oct 2023 23:45:00 +0100

golang-github-go-git-go-git (5.4.2-3) unstable; urgency=medium

  * Source only upload for migration to testing

 -- Pirate Praveen <praveen@debian.org>  Mon, 22 Nov 2021 10:07:32 +0530

golang-github-go-git-go-git (5.4.2-2) unstable; urgency=medium

  * Rebuild for unique version in DAK (-1 was REJECTED)

 -- Pirate Praveen <praveen@debian.org>  Fri, 19 Nov 2021 18:22:58 +0530

golang-github-go-git-go-git (5.4.2-1) unstable; urgency=medium

  * Initial release (Closes: #998884)

 -- Pirate Praveen <praveen@debian.org>  Tue, 09 Nov 2021 17:33:39 +0530
