## golang-github-go-git-go-git 5.11.0

=== debian/changelog ===
golang-github-go-git-go-git (5.11.0-4) unstable; urgency=medium

  * Team upload

  [ Anshul Singh ]
  * unset no_proxy env to fix tests on Ubuntu autopkgtest infra.

 -- Shengjing Zhu <zhsj@debian.org>  Tue, 20 Aug 2024 15:04:07 +0800

golang-github-go-git-go-git (5.11.0-3) unstable; urgency=medium

  * Team upload.
  * Disable another test that requires internet
  * Add patch to use explicit loopback IP instead of localhost

 -- Maytham Alsudany <maytha8thedev@gmail.com>  Mon, 10 Jun 2024 17:19:43 +0800

golang-github-go-git-go-git (5.11.0-2) unstable; urgency=medium

  * Team upload.
  * Revert symlinking github.com/imdario/mergo to dario.cat/mergo
  * Bump Standards-Version to 4.7.0 (no changes)

 -- Maytham Alsudany <maytha8thedev@gmail.com>  Tue, 04 Jun 2024 15:14:28 +0800

golang-github-go-git-go-git (5.11.0-1) unstable; urgency=medium

  * Team upload.

  [ Pirate Praveen ]
  * New upstream release 5.11.0 (Fixes: CVE-2023-49568, CVE-2023-49569)
    (Closes: #1060701)
  * Bump Standards-Version to 4.6.2 (no changes needed)

  [ Maytham Alsudany ]
  * Symlink github.com/imdario/mergo to new import path (dario.cat/mergo)
  * Update (B-)Deps, add support for nocheck builds
  * Use fake home directory containing test data during tests
  * Disable more tests that require internet
  * Disable gitignore test with unreliable tilde expansion

 -- Maytham Alsudany <maytha8thedev@gmail.com>  Tue, 16 Apr 2024 15:37:15 +0300
