=== debian/control ===
Source: golang-github-go-git-go-git
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Pirate Praveen <praveen@debian.org>
Section: golang
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-golang,
               golang-any,
               golang-github-armon-go-socks5-dev <!nocheck>,
               golang-github-elazarl-goproxy-dev <!nocheck>,
               golang-github-emirpasic-gods-dev,
               golang-github-gliderlabs-ssh-dev <!nocheck>,
               golang-github-golang-groupcache-dev,
               golang-github-google-go-cmp-dev <!nocheck>,
               golang-github-go-git-go-billy-dev (>= 5.5.0),
               golang-github-imdario-mergo-dev,
               golang-github-jbenet-go-context-dev,
               golang-github-kevinburke-ssh-config-dev,
               golang-github-pjbgf-sha1cd-dev,
               golang-github-protonmail-go-crypto-dev,
               golang-github-sergi-go-diff-dev,
               golang-github-skeema-knownhosts-dev,
               golang-github-src-d-gcfg-dev,
               golang-github-xanzy-ssh-agent-dev,
               golang-github-jessevdk-go-flags-dev,
               golang-golang-x-crypto-dev,
               golang-golang-x-net-dev,
               golang-golang-x-sys-dev,
               golang-gopkg-check.v1-dev <!nocheck>,
               golang-golang-x-text-dev <!nocheck>,
               golang-github-go-git-go-git-fixtures-dev (>= 4.3.1~git20240304.46037e5) <!nocheck>,
               git,
               tzdata
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-go-git-go-git
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-go-git-go-git.git
Homepage: https://github.com/go-git/go-git
Rules-Requires-Root: no
XS-Go-Import-Path: github.com/go-git/go-git

Package: golang-github-go-git-go-git-dev
Architecture: all
Multi-Arch: foreign
Depends: golang-github-emirpasic-gods-dev,
         golang-github-golang-groupcache-dev,
         golang-github-go-git-go-billy-dev (>= 5.5.0),
         golang-github-imdario-mergo-dev,
         golang-github-jbenet-go-context-dev,
         golang-github-kevinburke-ssh-config-dev,
         golang-github-pjbgf-sha1cd-dev,
         golang-github-protonmail-go-crypto-dev,
         golang-github-sergi-go-diff-dev,
         golang-github-skeema-knownhosts-dev,
         golang-github-src-d-gcfg-dev,
         golang-github-xanzy-ssh-agent-dev,
         golang-github-jessevdk-go-flags-dev,
         golang-golang-x-crypto-dev,
         golang-golang-x-net-dev,
         golang-golang-x-sys-dev,
         ${misc:Depends}
Description: highly extensible Git implementation in pure Go
 go-git is a highly extensible git implementation library written in pure Go.
 .
 It can be used to manipulate git repositories at low level (plumbing) or high
 level (porcelain), through an idiomatic Go API. It also supports several types
 of storage, such as in-memory filesystems, or custom implementations, thanks
 to the Storer interface.

Package: go-git
Architecture: any
Built-Using: ${misc:Built-Using}
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: highly extensible Git implementation in pure Go (command line)
 go-git is a highly extensible git implementation library written in pure Go.
 .
 It can be used to manipulate git repositories at low level (plumbing) or high
 level (porcelain), through an idiomatic Go API. It also supports several types
 of storage, such as in-memory filesystems, or custom implementations, thanks
 to the Storer interface.
 .
 This package provides command line interface of this library.
