## golang-github-go-git-go-git 5.12.0

=== debian/changelog ===
golang-github-go-git-go-git (5.12.0-1) unstable; urgency=medium

  [ Simon Josefsson ]
  * Team upload.
  * New upstream version 5.12.0

  [ Chris Lamb ]
  * Make it build reproducibly.  Closes: #1000401.

 -- Simon Josefsson <simon@josefsson.org>  Wed, 04 Dec 2024 21:13:09 +0100
