## golang-github-go-git-go-git 5.13.2

=== debian/changelog ===
golang-github-go-git-go-git (5.13.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 5.13.2
    - Fix CVE-2025-21613.  Closes: #1092678.
    - Fix CVE-2025-21614.  Closes: #1092679.
  * Fix nocheck B-D.
  * Fix lintian update-debian-copyright.
  * Add Breaks:gitsign<0.12.0-4.

 -- Simon Josefsson <simon@josefsson.org>  Thu, 13 Feb 2025 22:30:11 +0100
