=== debian/control ===
--- 
+++ 
@@ -27,7 +27,7 @@
                golang-golang-x-crypto-dev,
                golang-golang-x-net-dev,
                golang-golang-x-sys-dev,
-               golang-gopkg-check.v1-dev <!nocheck>,
+               golang-gopkg-check.v1-dev,
                golang-golang-x-text-dev <!nocheck>,
                golang-github-go-git-go-git-fixtures-dev (>= 4.3.1~git20240304.46037e5) <!nocheck>,
                git,
@@ -42,6 +42,7 @@
 Package: golang-github-go-git-go-git-dev
 Architecture: all
 Multi-Arch: foreign
+Breaks: gitsign (<< 0.12.0-4~)
 Depends: golang-github-emirpasic-gods-dev,
          golang-github-golang-groupcache-dev,
          golang-github-go-git-go-billy-dev (>= 5.5.0),
