=== debian/rules ===
--- 
+++ 
@@ -30,3 +30,6 @@
 	GOPATH=$(GOPATH) GOCACHE=$(GOCACHE) GO111MODULE=off GOPROXY=off GOTOOLCHAIN=local \
 		HOME=$(HOME) go test -vet=off -v -p 8 github.com/go-git/go-git/...
 endif
+
+execute_after_dh_auto_test:
+	find _build -type d -name .tmp -print0 | xargs -0r rm -rf
