## golang-github-go-git-go-git 5.14.0

=== debian/changelog ===
golang-github-go-git-go-git (5.14.0-1) unstable; urgency=medium

  * Team upload.
  * Skip tests that depend on git-daemon.
  * Fix lintian executable-not-elf-or-script.
  * Add go-git manpage.
  * New upstream version 5.14.0
  * Standards-Version: 4.7.2.

 -- Simon Josefsson <simon@josefsson.org>  Sun, 16 Mar 2025 15:52:17 +0100
