=== debian/control ===
--- 
+++ 
@@ -31,8 +31,9 @@
                golang-golang-x-text-dev <!nocheck>,
                golang-github-go-git-go-git-fixtures-dev (>= 4.3.1~git20240304.46037e5) <!nocheck>,
                git,
+               help2man <!nodoc>,
                tzdata
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-go-git-go-git
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-go-git-go-git.git
 Homepage: https://github.com/go-git/go-git
