## golang-github-go-git-go-git 5.16.2

=== Makefile ===
--- 
+++ 
@@ -28,6 +28,7 @@
 test:
 	@echo "running against `git version`"; \
 	$(GOTEST) -race ./...
+	$(GOTEST) -v _examples/common_test.go _examples/common.go --examples
 
 TEMP_REPO := $(shell mktemp)
 test-sha256:
