=== debian/changelog ===
golang-github-go-git-go-git (5.16.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version.
  * Add salsa-ci.
  * Use watch v5.
  * Drop Rules-Requires-Root: no.
  * Run wrap-and-sort -akb.
  * Add Static-Built-Using.
  * Skip FTBFS'ing TestSendPackOnNonEmptyWithReportStatusWithError.
    Closes: #1114132.

 -- Simon Josefsson <simon@josefsson.org>  Sun, 05 Oct 2025 13:45:16 +0200
