=== debian/control ===
--- 
+++ 
@@ -6,16 +6,19 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-golang,
+               git,
                golang-any,
                golang-github-armon-go-socks5-dev <!nocheck>,
                golang-github-elazarl-goproxy-dev <!nocheck>,
                golang-github-emirpasic-gods-dev,
                golang-github-gliderlabs-ssh-dev <!nocheck>,
+               golang-github-go-git-go-billy-dev (>= 5.5.0),
+               golang-github-go-git-go-git-fixtures-dev (>= 4.3.1~git20240304.46037e5) <!nocheck>,
                golang-github-golang-groupcache-dev,
                golang-github-google-go-cmp-dev <!nocheck>,
-               golang-github-go-git-go-billy-dev (>= 5.5.0),
                golang-github-imdario-mergo-dev,
                golang-github-jbenet-go-context-dev,
+               golang-github-jessevdk-go-flags-dev,
                golang-github-kevinburke-ssh-config-dev,
                golang-github-pjbgf-sha1cd-dev,
                golang-github-protonmail-go-crypto-dev,
@@ -23,21 +26,17 @@
                golang-github-skeema-knownhosts-dev,
                golang-github-src-d-gcfg-dev,
                golang-github-xanzy-ssh-agent-dev,
-               golang-github-jessevdk-go-flags-dev,
                golang-golang-x-crypto-dev,
                golang-golang-x-net-dev,
                golang-golang-x-sys-dev,
+               golang-golang-x-text-dev <!nocheck>,
                golang-gopkg-check.v1-dev,
-               golang-golang-x-text-dev <!nocheck>,
-               golang-github-go-git-go-git-fixtures-dev (>= 4.3.1~git20240304.46037e5) <!nocheck>,
-               git,
                help2man <!nodoc>,
                tzdata
 Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-go-git-go-git
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-go-git-go-git.git
 Homepage: https://github.com/go-git/go-git
-Rules-Requires-Root: no
 XS-Go-Import-Path: github.com/go-git/go-git
 
 Package: golang-github-go-git-go-git-dev
@@ -45,10 +44,11 @@
 Multi-Arch: foreign
 Breaks: gitsign (<< 0.12.0-4~)
 Depends: golang-github-emirpasic-gods-dev,
+         golang-github-go-git-go-billy-dev (>= 5.5.0),
          golang-github-golang-groupcache-dev,
-         golang-github-go-git-go-billy-dev (>= 5.5.0),
          golang-github-imdario-mergo-dev,
          golang-github-jbenet-go-context-dev,
+         golang-github-jessevdk-go-flags-dev,
          golang-github-kevinburke-ssh-config-dev,
          golang-github-pjbgf-sha1cd-dev,
          golang-github-protonmail-go-crypto-dev,
@@ -56,7 +56,6 @@
          golang-github-skeema-knownhosts-dev,
          golang-github-src-d-gcfg-dev,
          golang-github-xanzy-ssh-agent-dev,
-         golang-github-jessevdk-go-flags-dev,
          golang-golang-x-crypto-dev,
          golang-golang-x-net-dev,
          golang-golang-x-sys-dev,
@@ -72,8 +71,9 @@
 Package: go-git
 Architecture: any
 Built-Using: ${misc:Built-Using}
-Depends: ${shlibs:Depends},
-         ${misc:Depends}
+Static-Built-Using: ${misc:Static-Built-Using}
+Depends: ${misc:Depends},
+         ${shlibs:Depends}
 Description: highly extensible Git implementation in pure Go (command line)
  go-git is a highly extensible git implementation library written in pure Go.
  .
