=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,6 @@
 #!/usr/bin/make -f
+
+include /usr/share/dpkg/pkg-info.mk # DEB_VERSION
 
 GOPATH = $(CURDIR)/_build
 GOCACHE = $(CURDIR)/_build/go-build
@@ -21,6 +23,12 @@
 		$(CURDIR)/_build/src/github.com/go-git/go-git/storage/test/storage_suite.go
 endif
 
+# "git daemon cannot be found"
+# Debian doesn't have 'git daemon'
+execute_before_dh_auto_test:
+	rm -fv $(CURDIR)/_build/src/github.com/go-git/go-git/plumbing/transport/git/common_test.go
+	rm -fv $(CURDIR)/_build/src/github.com/go-git/go-git/plumbing/transport/git/receive_pack_test.go # undefined: BaseSuite
+
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	# writeable HOME directory with ~/.ssh/known_hosts and ~/.gitconfig is
@@ -33,3 +41,21 @@
 
 execute_after_dh_auto_test:
 	find _build -type d -name .tmp -print0 | xargs -0r rm -rf
+
+# W: golang-github-go-git-go-git-dev: executable-not-elf-or-script [usr/share/gocode/src/github.com/go-git/go-git/internal/url/url_test.go]
+execute_before_dh_auto_install:
+	find|grep url_test.go
+	chmod -v -x $(CURDIR)/_build/src/github.com/go-git/go-git/internal/url/url_test.go
+
+B = $(CURDIR)/debian/tmp/usr/bin
+M = $(CURDIR)/debian/tmp/usr/share/man/man1
+
+ifeq (,$(filter nodoc,$(DEB_BUILD_PROFILES)))
+execute_before_dh_installman-arch:
+	mkdir -pv $(M)
+	help2man --version-string="$(DEB_VERSION)" \
+		--no-info \
+		--name="Git implementation written in Go" \
+		--output $(M)/go-git.1 \
+		$(B)/go-git
+endif
