=== debian/watch ===
Version: 5
Template: Github
Owner: go-git
Project: go-git
